SolrInputDocument::getFieldBoost
SolrInputDocument::getFieldNames
SolrInputDocument
PHP Manual

# SolrInputDocument::getFieldCount

(PECL solr >= 0.9.2)

SolrInputDocument::getFieldCount — Returns the number of fields in the document

### Description

public int SolrInputDocument::getFieldCount ( void )

Returns the number of fields in the document.

### Parameters

This function has no parameters.

### Return Values

Returns an integer on success or `FALSE` on failure.

SolrInputDocument::getFieldBoost
SolrInputDocument::getFieldNames
SolrInputDocument
PHP Manual